Skip to main content
GET
/
v1
/
customers
Get all customers
curl --request GET \
  --url https://dev.flextell.ai/api/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "first_name": "<string>",
      "last_name": "<string>",
      "phone_number": "<string>",
      "email": "<string>",
      "date_of_birth": "2023-11-07T05:31:56Z",
      "gender": "male",
      "country_name": "<string>",
      "identity_number": "<string>",
      "job": "<string>",
      "address": "<string>",
      "default_channel_id": 123,
      "avatar_url": "<string>",
      "related_user": {
        "id": 123,
        "name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

search
string | null

The search query.

Maximum string length: 255
per_page
integer | null

The number of customers per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
first_name,
last_name,
date_of_birth,
gender,
created_at,
updated_at
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
gender
enum<string> | null

Filter by gender.

Available options:
male,
female,
other
min_age
integer | null

Filter by minimum age.

Required range: x >= 0
max_age
integer | null

Filter by maximum age.

Required range: x >= 0
user_id
integer | null

Filter by assigned user.

trashed
boolean | null

Filter by trashed status.

Response

Paginated set of CustomerResource

data
CustomerResource · object[]
required
meta
object
required